## org.apache.mahout.cf.taste.eval
Interface IRStatistics

All Known Implementing Classes:
  IRStatisticsImpl

    public interface IRStatistics

Implementations encapsulate information retrieval-related statistics about a `Recommender`'s recommendations.

See Information retrieval.

Method Summary
`double` `getF1Measure()` See F-measure.
`double` `getFallOut()` See Fall-Out.
`double` `getFNMeasure(double n)` See F-measure.
`double` `getNormalizedDiscountedCumulativeGain()` See Normalized Discounted Cumulative Gain.
`double` `getPrecision()` See Precision.
`double` `getReach()`
`double` `getRecall()` See Recall.

Method Detail

### getPrecision

    double getPrecision()

  See Precision.

### getRecall

    double getRecall()

  See Recall.

### getFallOut

    double getFallOut()

  See Fall-Out.

### getF1Measure

    double getF1Measure()

  See F-measure.

### getFNMeasure

    double getFNMeasure(double n)

  See F-measure.

### getNormalizedDiscountedCumulativeGain

    double getNormalizedDiscountedCumulativeGain()

  See Normalized Discounted Cumulative Gain.

### getReach

    double getReach()

  Returns:
    the fraction of all users for whom recommendations could be produced

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.